# DynamicPreview - (c) 2014-2016 Juxtaposition. All Rights Reserved.
# This code cannot be redistributed without permission from juxtaposition.jp
# For more information, consult your DynamicPreview license.
#
use MT;
use DynamicPreview;

my $plugin = DynamicPreview->new();
if($plugin->is_mt7_or_later) {
    MT->add_plugin($plugin);
    MT->add_callback('MT::Entry::pre_search', 10, $plugin, sub {
        $plugin->entry_pre_search(@_);
    });
    MT->add_callback('MT::Page::pre_search', 10, $plugin, sub {
        $plugin->entry_pre_search(@_);
    });
    MT->add_callback('MT::ContentData::pre_search', 10, $plugin, sub {
        $plugin->content_data_pre_search(@_);
    });
}

1;
__END__

